%global sover 0.23

Name:           f2c
Summary:        A Fortran 77 to C/C++ conversion program
Version:        20210928
Release:    1%{?dist}
License:        MIT

URL:            http://www.netlib.org/f2c/
Source0:        http://www.netlib.org/f2c/src.tgz
Source1:        http://www.netlib.org/f2c/libf2c.zip
Source2:        http://www.netlib.org/f2c/f2c.pdf
Source3:        http://www.netlib.org/f2c/f2c.ps
Source4:        http://www.netlib.org/f2c/fc

Patch0:         f2c-20110801.patch
Patch1:         libf2c-20110801-format-security.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  unzip

Requires:       %{name}-libs = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}


%description
F2c converts Fortran 77 source code to C or C++ source files. If no
Fortran files are named on the command line, f2c can read Fortran from
standard input and write C to standard output.


%package libs
Summary:        Dynamic libraries from %{name}

%description libs
Dynamic libraries from %{name}.


%prep
%autosetup -N -c %{name}-%{version}
mkdir libf2c
unzip -qq %{SOURCE1} -d libf2c
%autopatch -p1

sed -i "s/@SOVER@/%{sover}/" libf2c/makefile.u

cp %{SOURCE2} %{SOURCE3} %{SOURCE4} .


%build
make -C src -f makefile.u %{?_smp_mflags} CFLAGS="%{optflags}" f2c
make -C libf2c -f makefile.u %{?_smp_mflags} CFLAGS="%{optflags} -fPIC"


%install
install -D -p -m 644 src/f2c.h  %{buildroot}%{_includedir}/f2c.h
install -D -p -m 755 src/f2c    %{buildroot}%{_bindir}/f2c
install -D -p -m 644 src/f2c.1t %{buildroot}%{_mandir}/man1/f2c.1
install -D -p -m 755 libf2c/libf2c.so.%{sover} %{buildroot}%{_libdir}/libf2c.so.%{sover}
ln -sr %{buildroot}%{_libdir}/libf2c.so.%{sover} %{buildroot}%{_libdir}/libf2c.so.0
ln -sr %{buildroot}%{_libdir}/libf2c.so.%{sover} %{buildroot}%{_libdir}/libf2c.so

sed -i "s/@lib@/%{_lib}/" fc
install -Dpm 0755 fc %{buildroot}%{_bindir}/f77



%files
%doc f2c.ps f2c.pdf src/changes src/README
%license src/Notice
%{_bindir}/f2c
%{_bindir}/f77
%{_mandir}/man1/f2c.1*
%{_includedir}/f2c.h
%{_libdir}/libf2c.so

%files libs
%doc libf2c/README
%license libf2c/Notice
%{_libdir}/libf2c.so.*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210928-1
- initial build
